Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class INurbsGeo

    java.lang.Object
      igeo.IParameterObject
          igeo.INurbsGeo

All Implemented Interfaces:
  ISubobject

Direct Known Subclasses:
  ICurveGeo, ISurfaceGeo

    public class INurbsGeo

extends IParameterObject

Base class of NURBS geometry providing miscellaneous methods to be used in child classes.

Author:
  Satoru Sugihara
See Also:
  `ICurveGeo`, `ISurfaceGeo`

Field Summary

Fields inherited from class igeo.IParameterObject
`parent`

Constructor Summary
`INurbsGeo()` Default constractor doesn't create parent IGElement
`INurbsGeo(IServerI h)`

Method Summary
`static IVecI[]` | `createClosedCP(IVecI[] cpts, int degree)`
`static IVecI[][]` | `createClosedCPInU(IVecI[][] cpts, int udeg)`
`static IVecI[][]` | `createClosedCPInV(IVecI[][] cpts, int vdeg)`
`static double[]` | `createClosedKnots(int degree, int num)`
`static double[]` | `createKnots(int degree, int num)` Creating generic knots.
`static double[]` | `createKnots(int degree, int num, boolean closed)`
`static double[]` | `invertKnots(double[] knots)`
`static boolean` | `isValidKnots(double[] knots)`
`static void` | `normalizeKnots(double[] knots, double ustart, double uend)`

Methods inherited from class igeo.IParameterObject
`createObject, parent, parent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### INurbsGeo

    INurbsGeo()

  Default constractor doesn't create parent IGElement

### INurbsGeo

    INurbsGeo(IServerI h)

Parameters:
  `h` - if h is null, this doesn't create parent IGElement

Method Detail

### normalizeKnots

    public static void normalizeKnots(double[] knots,
                                      double ustart,
                                      double uend)

### createKnots

    public static double[] createKnots(int degree,
                                       int num,
                                       boolean closed)

### createKnots

    public static double[] createKnots(int degree,
                                       int num)

  Creating generic knots. Knot values are already normalized.

### createClosedKnots

    public static double[] createClosedKnots(int degree,
                                             int num)

### createClosedCP

    public static IVecI[] createClosedCP(IVecI[] cpts,
                                         int degree)

### createClosedCPInU

    public static IVecI[][] createClosedCPInU(IVecI[][] cpts,
                                              int udeg)

### createClosedCPInV

    public static IVecI[][] createClosedCPInV(IVecI[][] cpts,
                                              int vdeg)

### isValidKnots

    public static boolean isValidKnots(double[] knots)

### invertKnots

    public static double[] invertKnots(double[] knots)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD